Subject: Cheap replica watches

From: " Ipcdn" <[email-masked] >
Date: Tue, 10 Jul 2007 17:16:58 +0200

With our luxury replica watches there’s no more need to save up!
Same quality offered at a tiny fraction of the original manufacturer’s price!
Get the brand timepiece that you’ve always dreamt of – at incredibly low price!
http://stflu.com